import { IQuestionGroupContainerComponent, IMappedQuestionGroupAnswers } from '@boldpenguin/sdk-types';
export declare class BpSdkQuestionGroupContainer implements IQuestionGroupContainerComponent {
  /**
   * Question Group
   */
  questionGroup: IMappedQuestionGroupAnswers;
  classes: string;
  labelId: string;
  type: string | undefined;
  useExternal: boolean;
  onQuestionGroupChange(questionGroup?: IMappedQuestionGroupAnswers): void;
  onTypeChange(type: any): void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
  private updateClasses;
}
