import { IQuoteRequestPremiumComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestPremium implements IQuoteRequestPremiumComponent {
  /**
   * Annual price
   */
  annualPrice: string;
  /**
   * Downpayment
   */
  downpayment: string;
  /**
   * Number of installments
   */
  installments: number;
  /**
   * Monthly price
   */
  monthlyPrice: string;
  /**
   * Price
   */
  price: string;
  /**
   * Show total premium
   */
  showTotalPremium: boolean;
  /**
   * Term length
   */
  termLength: string;
  /**
   * Total Premium
   */
  totalPremium: string;
  useExternal: boolean;
  resetState(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
