import { IChoice, IVehicleModelsComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehicleModels implements IVehicleModelsComponent {
  /**
   * The id of the answer associated with this field
   */
  answerId: string;
  /**
   * The question code associated with this field
   */
  code: string;
  /**
   * Label to display
   */
  label: string;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Models choices
   */
  models: IChoice[];
  /**
   * Selected model ID
   */
  selectedModelId: string;
  /**
   * Is vehicle a trailer
   */
  isVehicleTrailer: boolean;
  useExternal: boolean;
  fieldType: string;
  inputComponentType: string;
  onIsVehicleTrailerChange(isTrailer: boolean): void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
